DPGEN_INV(3)

NAME
DPGEN_INV - Inverter Macro-Generator

SYNOPSIS

#include <genlib.h>

void GENLIB_MACRO (DPGEN_INV, char *modelname, long flags, long N, long drive);

DESCRIPTION

Generate a N bits inverter with an output power of drive named modelname.

Valid drive are : 1, 2, 3 or 4.

  TERMINAL NAMES

1.  i0 : input.

2.  nq : output.

3.  vdd : power.

4.  vss : ground.

  BEHAVIOR
nq <= not(i0)

EXAMPLE

GENLIB_MACRO(DPGEN_INV, "model_inv_32"
                      , F_BEHAV|F_PLACE
                      , 32
                      , 1
                      );
GENLIB_LOINS( "model_inv_32"
            , "instance1_inv_32"
            , "i0[31:0]"
            , "nq[31:0]"
            , "vdd", "vss", NULL
            );

SEE ALSO

GENLIB_MACRO(3), genlib(1)